botruntime
API ReferenceTables API

Create Table Rows

Inserts one or multiple new rows into the specified table.

POST
/v1/tables/{table}/rows

Path Parameters

table*string

The table's name or unique identifier for targeting specific table operations.

Request Body

application/json

A batch of new rows to insert into the table. Each row must adhere to the table’s schema. A maximum of 1000 rows can be inserted in a single request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tables/string/rows" \  -H "Content-Type: application/json" \  -d '{    "rows": [      {}    ]  }'
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "warnings": [    "string"  ],  "errors": [    "string"  ]}
{  "rows": [    {      "id": 0,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "computed": {        "property1": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        },        "property2": {          "status": "string",          "error": "string",          "updatedBy": "string",          "updatedAt": "string"        }      },      "stale": [        "string"      ],      "similarity": 0    }  ],  "warnings": [    "string"  ],  "errors": [    "string"  ]}